int recurs_m( double *h, double *u, double * x, double *rx,
   double *cx, double *p, double *kappa, double *theta,
   double *beta, double *gamm )
{


   int i, j, k, p0, rx0, cx0;
   double e;

   p0 = *p;
   rx0 = *rx;
   cx0 = *cx;

   for (i = p0; i < rx0; i++) {

       h[i] = *kappa;

       for (j = 0, k = i - 1; j < p0; j++, k--) {
           h[i] += theta[j] * h[k];
       }

       u[i] = x[i*cx0] - (*gamm) * h[i];
       for (j = 0, k = i*cx0 + 1; j < cx0 - 1; j++, k+=cx0) {
           u[i] -= beta[j] * x[k];
       }
   }
   return 0;
}


